LibreOffice LibreOffice 25.2 SDK API Reference

Included Services | Exported Interfaces | List of all members
GroupElement Service Referencepublished

provides information about a predefined element contained in a heterogeneous group of elements within a hierarchy. More...

`import"GroupElement.idl";`

Inheritance diagram for GroupElement:

## Included Services
service | HierarchyElement
| is the basic service for accessing information about an element in the hierarchy. More...

## Exported Interfaces
interface | com::sun::star::container::XChild
| provides access to the containing group object. More...
Exported Interfaces inherited from HierarchyElement
interface | com::sun::star::container::XHierarchicalName
| provides the complete hierarchical name of this element within the hierarchy tree. More...
interface | com::sun::star::container::XNamed
| provides the local name of this element within its parent. More...
interface | com::sun::star::beans::XProperty
| provides a property descriptor for this element. More...
interface | com::sun::star::beans::XPropertyWithState
| provides access to the default state of this element. More...
interface | com::sun::star::container::XChild
| provides access to the parent of this element [optional]. More...

## Additional Inherited Members
Public Member Functions inherited from XHierarchicalName
string | getHierarchicalName ()
string | composeHierarchicalName ([in] string aRelativeName) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::NoSupportException )
| builds the hierarchical name of an object, given a relative name More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object. More...
Protected Member Functions inherited from XProperty
com::sun::star::beans::Property | getAsProperty ()
Protected Member Functions inherited from XPropertyWithState
com::sun::star::beans::PropertyState | getStateAsProperty ()
void | setToDefaultAsProperty () raises ( com::sun::star::lang::WrappedTargetException )
| sets this to its default value. More...
com::sun::star::uno::XInterface | getDefaultAsProperty () raises ( com::sun::star::lang::WrappedTargetException )
Protected Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content. More...
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object. More...

## Detailed Description

provides information about a predefined element contained in a heterogeneous group of elements within a hierarchy.

Provides information about the element. Provides access to its containing group object.

A group element bears a predefined name. It may only exist within a containing group object.

See also
  com::sun::star::configuration::GroupAccess Parent objects of this service generally implement service GroupAccess.
  com::sun::star::configuration::SetElement A complementary service, for elements of a dynamic homogeneous container.
  com::sun::star::configuration::AccessRootElement A complementary service, for the root element of a hierarchy.

## Exported Interfaces

## ◆ HierarchyElement

service HierarchyElement

is the basic service for accessing information about an element in the hierarchy.

## Exported Interfaces

## ◆ com::sun::star::container::XChild

interface com::sun::star::container::XChild

provides access to the containing group object.

In this service this interface is mandatory

com::sun::star::container::XChild::getParent() shall not return NULL.

Setting a different parent is not supported.

The documentation for this service was generated from the following file:

- com/sun/star/configuration/GroupElement.idl